###################### R script: RunAllExamles.R #############################

# Script containing support functions for the R/InferNET code for the paper:
# 
# Luts J, Shen SSJ, Ormerod JT and Wand MP (2018)
#    Semiparametric Regression Analysis via Infer.NET

################################################################################

library("BRugs")
library("SemiPar")
library("plotrix")
library("matrixcalc")
library("sp")
library("xtable")
library("huxtable")
library("lars")


# Example for Section 3
source("./InferNETScripts/onion/onionsIN.R", chdir = TRUE)

# Example for Section 4
source("./InferNETScripts/haberman/haberman.R", chdir = TRUE)

# Example for Section 5
source("./InferNETScripts/hauser/hauser.R", chdir = TRUE)

# Example for Section 6
source("./InferNETScripts/spinalBone/spinalBone.R", chdir = TRUE)

# Example for Section 7
# Note that at least 16GB of RAM is needed for this example
source("./InferNETScripts/sydneyHousingData/sydneyHousingData.R", chdir = TRUE)

# Example for Section 8
source("./InferNETScripts/lasso/lasso.R", chdir = TRUE)

# Example for Section 9
source("./InferNETScripts/measurementError/meaErrSLR.R", chdir = TRUE)

# Example for Section 10
source("./InferNETScripts/missingCovariates/mcarSLR.R", chdir = TRUE)
 
